import { createSlice, PayloadAction } from '@reduxjs/toolkit'
import { UserProfile } from '../../types/user'

export interface IUserState {
  isAuth: boolean
  user: UserProfile
}

const initialState: IUserState = {
  isAuth: false,
  user: {}
}

export const userSlice = createSlice({
  name: 'user',
  initialState,
  reducers: {
    setIsAuth(state, action: PayloadAction<boolean>) {
      state = { ...state, isAuth: action.payload }
      return state
    },
    setUser(state, action: PayloadAction<UserProfile>) {
      state = { ...state, user: action.payload }
      return state
    }
  }
})

export const { setIsAuth, setUser } = userSlice.actions

export default userSlice.reducer
